{
  "bomFormat": "CycloneDX",
  "specVersion": "1.5",
  "version": 1,
  "serialNumber": "urn:uuid:b5a59bce-6b2a-47fc-9cee-b07041256994",
  "metadata": {
    "timestamp": "2026-07-01T05:45:56.039595933Z",
    "tools": [
      {
        "name": "princesbom"
      }
    ],
    "component": {
      "type": "application",
      "bom-ref": "prince",
      "name": "prince",
      "version": "20260630"
    }
  },
  "components": [
    {
      "type": "library",
      "bom-ref": "pkg:file/libcrypto.so.1.1",
      "name": "libcrypto.so.1.1",
      "purl": "pkg:file/libcrypto.so.1.1"
    },
    {
      "type": "library",
      "bom-ref": "yeslogic-libavif",
      "name": "libavif",
      "version": "1.1.1",
      "licenses": [
        {
          "expression": "BSD-2-Clause"
        }
      ],
      "purl": "pkg:generic/libavif@1.1.1?checksum=sha256%3A914662e16245e062ed73f90112fbb4548241300843a7772d8d441bb6859de45b&download_url=https%3A%2F%2Fgithub.com%2FAOMediaCodec%2Flibavif%2Farchive%2Frefs%2Ftags%2Fv1.1.1.tar.gz"
    },
    {
      "type": "library",
      "bom-ref": "registry+https://github.com/rust-lang/crates.io-index#fontconfig@0.11.0",
      "author": "Austin Bonander <austin.bonander@gmail.com>, Manuel Reinhardt <manuel.jr16@gmail.com>, YesLogic Pty. Ltd. <info@yeslogic.com>",
      "name": "fontconfig",
      "version": "0.11.0",
      "description": "Safe, higher-level wrapper around the Fontconfig library",
      "scope": "required",
      "hashes": [
        {
          "alg": "SHA-256",
          "content": "0d0e1eb4148faaf675053b7299bc5b4c041c8c0c724cf77844d6be8dd0ac5b9d"
        }
      ],
      "licenses": [
        {
          "expression": "MIT"
        }
      ],
      "purl": "pkg:cargo/fontconfig@0.11.0",
      "externalReferences": [
        {
          "type": "documentation",
          "url": "https://docs.rs/crate/fontconfig"
        },
        {
          "type": "website",
          "url": "https://github.com/yeslogic/fontconfig-rs"
        },
        {
          "type": "vcs",
          "url": "https://github.com/yeslogic/fontconfig-rs"
        }
      ]
    },
    {
      "type": "library",
      "bom-ref": "pkg:file/libstdc++.so.6",
      "name": "libstdc++.so.6",
      "purl": "pkg:file/libstdc++.so.6"
    },
    {
      "type": "library",
      "bom-ref": "path+file:///var/tmp/prince.ubuntu-20.04-amd64/src/unicode/uax14-rust#uax14@0.1.0",
      "author": "YesLogic Pty. Ltd. <info@yeslogic.com>",
      "name": "uax14",
      "version": "0.1.0",
      "scope": "required",
      "licenses": [
        {
          "expression": "LicenseRef-YesLogic"
        }
      ],
      "purl": "pkg:cargo/uax14@0.1.0?download_url=file://.",
      "components": [
        {
          "type": "library",
          "bom-ref": "path+file:///var/tmp/prince.ubuntu-20.04-amd64/src/unicode/uax14-rust#uax14@0.1.0 bin-target-0",
          "name": "uax14",
          "version": "0.1.0",
          "purl": "pkg:cargo/uax14@0.1.0?download_url=file://.#src/lib.rs"
        }
      ]
    },
    {
      "type": "library",
      "bom-ref": "registry+https://github.com/rust-lang/crates.io-index#unicode-ident@1.0.18",
      "author": "David Tolnay <dtolnay@gmail.com>",
      "name": "unicode-ident",
      "version": "1.0.18",
      "description": "Determine whether characters have the XID_Start or XID_Continue properties according to Unicode Standard Annex #31",
      "scope": "required",
      "hashes": [
        {
          "alg": "SHA-256",
          "content": "5a5f39404a5da50712a4c1eecf25e90dd62b613502b7e925fd4e4d19b5c96512"
        }
      ],
      "licenses": [
        {
          "expression": "(MIT OR Apache-2.0) AND Unicode-3.0"
        }
      ],
      "purl": "pkg:cargo/unicode-ident@1.0.18",
      "externalReferences": [
        {
          "type": "documentation",
          "url": "https://docs.rs/unicode-ident"
        },
        {
          "type": "vcs",
          "url": "https://github.com/dtolnay/unicode-ident"
        }
      ]
    },
    {
      "type": "library",
      "bom-ref": "pkg:file/libfreetype.so.6",
      "name": "libfreetype.so.6",
      "purl": "pkg:file/libfreetype.so.6"
    },
    {
      "type": "library",
      "bom-ref": "path+file:///var/tmp/prince.ubuntu-20.04-amd64/src/unicode/ucd-rust#ucd@0.2.0",
      "author": "YesLogic Pty. Ltd. <info@yeslogic.com>",
      "name": "ucd",
      "version": "0.2.0",
      "scope": "required",
      "licenses": [
        {
          "expression": "LicenseRef-YesLogic"
        }
      ],
      "purl": "pkg:cargo/ucd@0.2.0?download_url=file://.",
      "components": [
        {
          "type": "library",
          "bom-ref": "path+file:///var/tmp/prince.ubuntu-20.04-amd64/src/unicode/ucd-rust#ucd@0.2.0 bin-target-0",
          "name": "ucd",
          "version": "0.2.0",
          "purl": "pkg:cargo/ucd@0.2.0?download_url=file://.#src/lib.rs"
        }
      ]
    },
    {
      "type": "library",
      "bom-ref": "registry+https://github.com/rust-lang/crates.io-index#unicode-case-mapping@1.0.0",
      "author": "YesLogic Pty. Ltd. <info@yeslogic.com>",
      "name": "unicode-case-mapping",
      "version": "1.0.0",
      "description": "Fast lowercase, uppercase, and titlecase mapping for characters",
      "scope": "required",
      "hashes": [
        {
          "alg": "SHA-256",
          "content": "4e9026503b74f3207a4c04e6bf4ea735daa8edf6c0bbfa044cae597bb947a9db"
        }
      ],
      "licenses": [
        {
          "expression": "Apache-2.0"
        }
      ],
      "purl": "pkg:cargo/unicode-case-mapping@1.0.0",
      "externalReferences": [
        {
          "type": "documentation",
          "url": "https://docs.rs/crate/unicode-case-mapping"
        },
        {
          "type": "website",
          "url": "https://github.com/yeslogic/unicode-case-mapping"
        },
        {
          "type": "vcs",
          "url": "https://github.com/yeslogic/unicode-case-mapping"
        }
      ]
    },
    {
      "type": "library",
      "bom-ref": "registry+https://github.com/rust-lang/crates.io-index#bitreader@0.3.11",
      "author": "Ilkka Rauta <ilkka.rauta@gmail.com>",
      "name": "bitreader",
      "version": "0.3.11",
      "description": "BitReader helps reading individual bits from a slice of bytes.  You can read \"unusual\" numbers of bits from the byte slice, for example 13 bits at once. The reader internally keeps track of position within the buffer. ",
      "scope": "required",
      "hashes": [
        {
          "alg": "SHA-256",
          "content": "886559b1e163d56c765bc3a985febb4eee8009f625244511d8ee3c432e08c066"
        }
      ],
      "licenses": [
        {
          "expression": "MIT OR Apache-2.0"
        }
      ],
      "purl": "pkg:cargo/bitreader@0.3.11",
      "externalReferences": [
        {
          "type": "documentation",
          "url": "https://docs.rs/bitreader"
        },
        {
          "type": "website",
          "url": "https://github.com/irauta/bitreader"
        },
        {
          "type": "vcs",
          "url": "https://github.com/irauta/bitreader"
        }
      ]
    },
    {
      "type": "library",
      "bom-ref": "pkg:file/libc.so.6",
      "name": "libc.so.6",
      "purl": "pkg:file/libc.so.6"
    },
    {
      "type": "library",
      "bom-ref": "registry+https://github.com/rust-lang/crates.io-index#bitflags@2.9.1",
      "author": "The Rust Project Developers",
      "name": "bitflags",
      "version": "2.9.1",
      "description": "A macro to generate structures which behave like bitflags. ",
      "scope": "required",
      "hashes": [
        {
          "alg": "SHA-256",
          "content": "1b8e56985ec62d17e9c1001dc89c88ecd7dc08e47eba5ec7c29c7b5eeecde967"
        }
      ],
      "licenses": [
        {
          "expression": "MIT OR Apache-2.0"
        }
      ],
      "purl": "pkg:cargo/bitflags@2.9.1",
      "externalReferences": [
        {
          "type": "documentation",
          "url": "https://docs.rs/bitflags"
        },
        {
          "type": "website",
          "url": "https://github.com/bitflags/bitflags"
        },
        {
          "type": "vcs",
          "url": "https://github.com/bitflags/bitflags"
        }
      ]
    },
    {
      "type": "library",
      "bom-ref": "registry+https://github.com/rust-lang/crates.io-index#num-traits@0.2.19",
      "author": "The Rust Project Developers",
      "name": "num-traits",
      "version": "0.2.19",
      "description": "Numeric traits for generic mathematics",
      "scope": "required",
      "hashes": [
        {
          "alg": "SHA-256",
          "content": "071dfc062690e90b734c0b2273ce72ad0ffa95f0c74596bc250dcfd960262841"
        }
      ],
      "licenses": [
        {
          "expression": "MIT OR Apache-2.0"
        }
      ],
      "purl": "pkg:cargo/num-traits@0.2.19",
      "externalReferences": [
        {
          "type": "documentation",
          "url": "https://docs.rs/num-traits"
        },
        {
          "type": "website",
          "url": "https://github.com/rust-num/num-traits"
        },
        {
          "type": "vcs",
          "url": "https://github.com/rust-num/num-traits"
        }
      ]
    },
    {
      "type": "library",
      "bom-ref": "registry+https://github.com/rust-lang/crates.io-index#encoding_rs@0.8.35",
      "author": "Henri Sivonen <hsivonen@hsivonen.fi>",
      "name": "encoding_rs",
      "version": "0.8.35",
      "description": "A Gecko-oriented implementation of the Encoding Standard",
      "scope": "required",
      "hashes": [
        {
          "alg": "SHA-256",
          "content": "75030f3c4f45dafd7586dd6780965a8c7e8e285a5ecb86713e63a79c5b2766f3"
        }
      ],
      "licenses": [
        {
          "expression": "(Apache-2.0 OR MIT) AND BSD-3-Clause"
        }
      ],
      "purl": "pkg:cargo/encoding_rs@0.8.35",
      "externalReferences": [
        {
          "type": "documentation",
          "url": "https://docs.rs/encoding_rs/"
        },
        {
          "type": "website",
          "url": "https://docs.rs/encoding_rs/"
        },
        {
          "type": "vcs",
          "url": "https://github.com/hsivonen/encoding_rs"
        }
      ]
    },
    {
      "type": "library",
      "bom-ref": "yeslogic-hunspell",
      "name": "hunspell",
      "version": "1.7.0",
      "licenses": [
        {
          "expression": "MPL-1.1"
        }
      ],
      "purl": "pkg:generic/hunspell@1.7.0?checksum=sha256%3A57be4e03ae9dd62c3471f667a0d81a14513e314d4d92081292b90435944ff951&download_url=https%3A%2F%2Fgithub.com%2Fhunspell%2Fhunspell%2Ffiles%2F2573619%2Fhunspell-1.7.0.tar.gz"
    },
    {
      "type": "library",
      "bom-ref": "registry+https://github.com/rust-lang/crates.io-index#ouroboros@0.18.5",
      "author": "Josh <someguynamedjosh@github.com>",
      "name": "ouroboros",
      "version": "0.18.5",
      "description": "Easy, safe self-referential struct generation.",
      "scope": "required",
      "hashes": [
        {
          "alg": "SHA-256",
          "content": "1e0f050db9c44b97a94723127e6be766ac5c340c48f2c4bb3ffa11713744be59"
        }
      ],
      "licenses": [
        {
          "expression": "MIT OR Apache-2.0"
        }
      ],
      "purl": "pkg:cargo/ouroboros@0.18.5",
      "externalReferences": [
        {
          "type": "documentation",
          "url": "https://docs.rs/ouroboros"
        },
        {
          "type": "vcs",
          "url": "https://github.com/someguynamedjosh/ouroboros"
        }
      ]
    },
    {
      "type": "library",
      "bom-ref": "registry+https://github.com/rust-lang/crates.io-index#static_assertions@1.1.0",
      "author": "Nikolai Vazquez",
      "name": "static_assertions",
      "version": "1.1.0",
      "description": "Compile-time assertions to ensure that invariants are met.",
      "scope": "required",
      "hashes": [
        {
          "alg": "SHA-256",
          "content": "a2eb9349b6444b326872e140eb1cf5e7c522154d69e7a0ffb0fb81c06b37543f"
        }
      ],
      "licenses": [
        {
          "expression": "MIT OR Apache-2.0"
        }
      ],
      "purl": "pkg:cargo/static_assertions@1.1.0",
      "externalReferences": [
        {
          "type": "documentation",
          "url": "https://docs.rs/static_assertions/"
        },
        {
          "type": "website",
          "url": "https://github.com/nvzqz/static-assertions-rs"
        },
        {
          "type": "vcs",
          "url": "https://github.com/nvzqz/static-assertions-rs"
        }
      ]
    },
    {
      "type": "library",
      "bom-ref": "registry+https://github.com/rust-lang/crates.io-index#tinyvec_macros@0.1.1",
      "author": "Soveu <marx.tomasz@gmail.com>",
      "name": "tinyvec_macros",
      "version": "0.1.1",
      "description": "Some macros for tiny containers",
      "scope": "required",
      "hashes": [
        {
          "alg": "SHA-256",
          "content": "1f3ccbac311fea05f86f61904b462b55fb3df8837a366dfc601a0161d0532f20"
        }
      ],
      "licenses": [
        {
          "expression": "MIT OR Apache-2.0 OR Zlib"
        }
      ],
      "purl": "pkg:cargo/tinyvec_macros@0.1.1",
      "externalReferences": [
        {
          "type": "vcs",
          "url": "https://github.com/Soveu/tinyvec_macros"
        }
      ]
    },
    {
      "type": "library",
      "bom-ref": "registry+https://github.com/rust-lang/crates.io-index#ouroboros_macro@0.18.5",
      "author": "Josh <someguynamedjosh@github.com>",
      "name": "ouroboros_macro",
      "version": "0.18.5",
      "description": "Proc macro for ouroboros crate.",
      "scope": "required",
      "hashes": [
        {
          "alg": "SHA-256",
          "content": "3c7028bdd3d43083f6d8d4d5187680d0d3560d54df4cc9d752005268b41e64d0"
        }
      ],
      "licenses": [
        {
          "expression": "MIT OR Apache-2.0"
        }
      ],
      "purl": "pkg:cargo/ouroboros_macro@0.18.5",
      "externalReferences": [
        {
          "type": "documentation",
          "url": "https://docs.rs/ouroboros_macro"
        },
        {
          "type": "vcs",
          "url": "https://github.com/someguynamedjosh/ouroboros"
        }
      ]
    },
    {
      "type": "library",
      "bom-ref": "registry+https://github.com/rust-lang/crates.io-index#yeslogic-fontconfig-sys@6.0.1",
      "author": "Austin Bonander <austin.bonander@gmail.com>, The Servo Project Developers, YesLogic Pty. Ltd. <info@yeslogic.com>",
      "name": "yeslogic-fontconfig-sys",
      "version": "6.0.1",
      "description": "Raw bindings to Fontconfig without a vendored C library",
      "scope": "required",
      "hashes": [
        {
          "alg": "SHA-256",
          "content": "1d8b8abf912b9a29ff112e1671c97c33636903d13a69712037190e6805af4f76"
        }
      ],
      "licenses": [
        {
          "expression": "MIT"
        }
      ],
      "purl": "pkg:cargo/yeslogic-fontconfig-sys@6.0.1",
      "externalReferences": [
        {
          "type": "documentation",
          "url": "https://docs.rs/crate/yeslogic-fontconfig-sys"
        },
        {
          "type": "website",
          "url": "https://github.com/yeslogic/fontconfig-rs"
        },
        {
          "type": "other",
          "url": "fontconfig"
        },
        {
          "type": "vcs",
          "url": "https://github.com/yeslogic/fontconfig-rs"
        }
      ]
    },
    {
      "type": "library",
      "bom-ref": "path+file:///var/tmp/prince.ubuntu-20.04-amd64/src/fonts/allsorts#0.17.0",
      "author": "YesLogic Pty. Ltd. <info@yeslogic.com>",
      "name": "allsorts",
      "version": "0.17.0",
      "description": "Font parser, shaping engine, and subsetter for OpenType, WOFF, and WOFF2",
      "scope": "required",
      "licenses": [
        {
          "expression": "Apache-2.0"
        }
      ],
      "purl": "pkg:cargo/allsorts@0.17.0?download_url=file://.",
      "externalReferences": [
        {
          "type": "documentation",
          "url": "https://docs.rs/crate/allsorts"
        },
        {
          "type": "website",
          "url": "https://github.com/yeslogic/allsorts"
        },
        {
          "type": "vcs",
          "url": "https://github.com/yeslogic/allsorts"
        }
      ],
      "components": [
        {
          "type": "library",
          "bom-ref": "path+file:///var/tmp/prince.ubuntu-20.04-amd64/src/fonts/allsorts#0.17.0 bin-target-0",
          "name": "allsorts",
          "version": "0.17.0",
          "purl": "pkg:cargo/allsorts@0.17.0?download_url=file://.#src/lib.rs"
        }
      ]
    },
    {
      "type": "library",
      "bom-ref": "registry+https://github.com/rust-lang/crates.io-index#cairo-rs@0.21.0",
      "author": "The gtk-rs Project Developers",
      "name": "cairo-rs",
      "version": "0.21.0",
      "description": "Rust bindings for the Cairo library",
      "scope": "required",
      "hashes": [
        {
          "alg": "SHA-256",
          "content": "f6466a563dea2e99f59f6ffbb749fd0bdf75764f5e6e93976b5e7bd73c4c9efb"
        }
      ],
      "licenses": [
        {
          "expression": "MIT"
        }
      ],
      "purl": "pkg:cargo/cairo-rs@0.21.0",
      "externalReferences": [
        {
          "type": "documentation",
          "url": "https://gtk-rs.org/gtk-rs-core/stable/latest/docs/cairo/"
        },
        {
          "type": "website",
          "url": "https://gtk-rs.org/"
        },
        {
          "type": "vcs",
          "url": "https://github.com/gtk-rs/gtk-rs-core"
        }
      ]
    },
    {
      "type": "library",
      "bom-ref": "pkg:file/libcurl.so.4",
      "name": "libcurl.so.4",
      "purl": "pkg:file/libcurl.so.4"
    },
    {
      "type": "library",
      "bom-ref": "registry+https://github.com/rust-lang/crates.io-index#libz-rs-sys@0.5.5",
      "name": "libz-rs-sys",
      "version": "0.5.5",
      "description": "A memory-safe zlib implementation written in rust",
      "scope": "required",
      "hashes": [
        {
          "alg": "SHA-256",
          "content": "c10501e7805cee23da17c7790e59df2870c0d4043ec6d03f67d31e2b53e77415"
        }
      ],
      "licenses": [
        {
          "expression": "Zlib"
        }
      ],
      "purl": "pkg:cargo/libz-rs-sys@0.5.5",
      "externalReferences": [
        {
          "type": "website",
          "url": "https://github.com/trifectatechfoundation/zlib-rs"
        },
        {
          "type": "vcs",
          "url": "https://github.com/trifectatechfoundation/zlib-rs"
        }
      ]
    },
    {
      "type": "library",
      "bom-ref": "pkg:file/liblcms2.so.2",
      "name": "liblcms2.so.2",
      "purl": "pkg:file/liblcms2.so.2"
    },
    {
      "type": "library",
      "bom-ref": "git+https://github.com/yeslogic/unicode-bidi.git?branch=prince#unicode-bidi@0.3.8",
      "author": "The Servo Project Developers",
      "name": "unicode-bidi",
      "version": "0.3.8",
      "description": "Implementation of the Unicode Bidirectional Algorithm",
      "scope": "required",
      "licenses": [
        {
          "expression": "MIT OR Apache-2.0"
        }
      ],
      "purl": "pkg:cargo/unicode-bidi@0.3.8?vcs_url=git%2Bhttps://github.com/yeslogic/unicode-bidi.git%3Fbranch=prince%40ecbd423a562158d28b8f1b4d01801f3e234c9d8d",
      "externalReferences": [
        {
          "type": "documentation",
          "url": "https://docs.rs/unicode-bidi/"
        },
        {
          "type": "vcs",
          "url": "https://github.com/servo/unicode-bidi"
        }
      ]
    },
    {
      "type": "library",
      "bom-ref": "pkg:file/libpthread.so.0",
      "name": "libpthread.so.0",
      "purl": "pkg:file/libpthread.so.0"
    },
    {
      "type": "library",
      "bom-ref": "registry+https://github.com/rust-lang/crates.io-index#yeslogic-unicode-blocks@0.2.0",
      "author": "Magic Len <len@magiclen.org>, YesLogic Pty. Ltd. <info@yeslogic.com>",
      "name": "yeslogic-unicode-blocks",
      "version": "0.2.0",
      "description": "Functions to access and search Unicode blocks.",
      "scope": "required",
      "hashes": [
        {
          "alg": "SHA-256",
          "content": "a83312b81ea82fe168a11f2b3e5c2c3f3dfef73b6bfa1ce3a1d876f56990b5f0"
        }
      ],
      "licenses": [
        {
          "expression": "MIT"
        }
      ],
      "purl": "pkg:cargo/yeslogic-unicode-blocks@0.2.0",
      "externalReferences": [
        {
          "type": "vcs",
          "url": "https://github.com/yeslogic/unicode-blocks"
        }
      ]
    },
    {
      "type": "library",
      "bom-ref": "registry+https://github.com/rust-lang/crates.io-index#enumflags2@0.7.12",
      "author": "maik klein <maikklein@googlemail.com>, Maja Kądziołka <maya@compilercrim.es>",
      "name": "enumflags2",
      "version": "0.7.12",
      "description": "Enum-based bit flags",
      "scope": "required",
      "hashes": [
        {
          "alg": "SHA-256",
          "content": "1027f7680c853e056ebcec683615fb6fbbc07dbaa13b4d5d9442b146ded4ecef"
        }
      ],
      "licenses": [
        {
          "expression": "MIT OR Apache-2.0"
        }
      ],
      "purl": "pkg:cargo/enumflags2@0.7.12",
      "externalReferences": [
        {
          "type": "documentation",
          "url": "https://docs.rs/enumflags2"
        },
        {
          "type": "vcs",
          "url": "https://github.com/meithecatte/enumflags2"
        }
      ]
    },
    {
      "type": "library",
      "bom-ref": "registry+https://github.com/rust-lang/crates.io-index#brotli-decompressor@5.0.0",
      "author": "Daniel Reiter Horn <danielrh@dropbox.com>, The Brotli Authors",
      "name": "brotli-decompressor",
      "version": "5.0.0",
      "description": "A brotli decompressor that with an interface avoiding the rust stdlib. This makes it suitable for embedded devices and kernels. It is designed with a pluggable allocator so that the standard lib's allocator may be employed. The default build also includes a stdlib allocator and stream interface. Disable this with --features=no-stdlib. Alternatively, --features=unsafe turns off array bounds checks and memory initialization but provides a safe interface for the caller.  Without adding the --features=unsafe argument, all included code is safe. For compression in addition to this library, download https://github.com/dropbox/rust-brotli ",
      "scope": "required",
      "hashes": [
        {
          "alg": "SHA-256",
          "content": "874bb8112abecc98cbd6d81ea4fa7e94fb9449648c93cc89aa40c81c24d7de03"
        }
      ],
      "licenses": [
        {
          "expression": "BSD-3-Clause OR MIT"
        }
      ],
      "purl": "pkg:cargo/brotli-decompressor@5.0.0",
      "externalReferences": [
        {
          "type": "documentation",
          "url": "https://github.com/dropbox/rust-brotli-decompressor/blob/master/README.md"
        },
        {
          "type": "website",
          "url": "https://github.com/dropbox/rust-brotli-decompressor"
        },
        {
          "type": "vcs",
          "url": "https://github.com/dropbox/rust-brotli-decompressor"
        }
      ]
    },
    {
      "type": "library",
      "bom-ref": "registry+https://github.com/rust-lang/crates.io-index#log@0.4.27",
      "author": "The Rust Project Developers",
      "name": "log",
      "version": "0.4.27",
      "description": "A lightweight logging facade for Rust ",
      "scope": "required",
      "hashes": [
        {
          "alg": "SHA-256",
          "content": "13dc2df351e3202783a1fe0d44375f7295ffb4049267b0f3018346dc122a1d94"
        }
      ],
      "licenses": [
        {
          "expression": "MIT OR Apache-2.0"
        }
      ],
      "purl": "pkg:cargo/log@0.4.27",
      "externalReferences": [
        {
          "type": "documentation",
          "url": "https://docs.rs/log"
        },
        {
          "type": "vcs",
          "url": "https://github.com/rust-lang/log"
        }
      ]
    },
    {
      "type": "library",
      "bom-ref": "yeslogic-aom",
      "name": "aom",
      "version": "3.11.0",
      "licenses": [
        {
          "expression": "BSD-3-Clause"
        }
      ],
      "purl": "pkg:generic/aom@3.11.0?checksum=sha256%3Acf7d103d2798e512aca9c6e7353d7ebf8967ee96fffe9946e015bb9947903e3e&download_url=https%3A%2F%2Fstorage.googleapis.com%2Faom-releases%2Flibaom-3.11.0.tar.gz"
    },
    {
      "type": "library",
      "bom-ref": "registry+https://github.com/rust-lang/crates.io-index#libloading@0.8.8",
      "author": "Simonas Kazlauskas <libloading@kazlauskas.me>",
      "name": "libloading",
      "version": "0.8.8",
      "description": "Bindings around the platform's dynamic library loading primitives with greatly improved memory safety.",
      "scope": "required",
      "hashes": [
        {
          "alg": "SHA-256",
          "content": "07033963ba89ebaf1584d767badaa2e8fcec21aedea6b8c0346d487d49c28667"
        }
      ],
      "licenses": [
        {
          "expression": "ISC"
        }
      ],
      "purl": "pkg:cargo/libloading@0.8.8",
      "externalReferences": [
        {
          "type": "documentation",
          "url": "https://docs.rs/libloading/"
        },
        {
          "type": "vcs",
          "url": "https://github.com/nagisa/rust_libloading/"
        }
      ]
    },
    {
      "type": "library",
      "bom-ref": "registry+https://github.com/rust-lang/crates.io-index#libz-sys@1.1.22",
      "author": "Alex Crichton <alex@alexcrichton.com>, Josh Triplett <josh@joshtriplett.org>, Sebastian Thiel <sebastian.thiel@icloud.com>",
      "name": "libz-sys",
      "version": "1.1.22",
      "description": "Low-level bindings to the system libz library (also known as zlib).",
      "scope": "required",
      "hashes": [
        {
          "alg": "SHA-256",
          "content": "8b70e7a7df205e92a1a4cd9aaae7898dac0aa555503cc0a649494d0d60e7651d"
        }
      ],
      "licenses": [
        {
          "expression": "MIT OR Apache-2.0"
        }
      ],
      "purl": "pkg:cargo/libz-sys@1.1.22",
      "externalReferences": [
        {
          "type": "other",
          "url": "z"
        },
        {
          "type": "vcs",
          "url": "https://github.com/rust-lang/libz-sys"
        }
      ]
    },
    {
      "type": "library",
      "bom-ref": "registry+https://github.com/rust-lang/crates.io-index#aliasable@0.1.3",
      "author": "avitex <avitex@wfxlabs.com>",
      "name": "aliasable",
      "version": "0.1.3",
      "description": "Basic aliasable (non unique pointer) types",
      "scope": "required",
      "hashes": [
        {
          "alg": "SHA-256",
          "content": "250f629c0161ad8107cf89319e990051fae62832fd343083bea452d93e2205fd"
        }
      ],
      "licenses": [
        {
          "expression": "MIT"
        }
      ],
      "purl": "pkg:cargo/aliasable@0.1.3",
      "externalReferences": [
        {
          "type": "documentation",
          "url": "https://docs.rs/aliasable"
        },
        {
          "type": "website",
          "url": "https://github.com/avitex/rust-aliasable"
        },
        {
          "type": "vcs",
          "url": "https://github.com/avitex/rust-aliasable"
        }
      ]
    },
    {
      "type": "library",
      "bom-ref": "registry+https://github.com/rust-lang/crates.io-index#unicode-joining-type@1.0.0",
      "author": "YesLogic Pty. Ltd. <info@yeslogic.com>",
      "name": "unicode-joining-type",
      "version": "1.0.0",
      "description": "Fast lookup of the Unicode Joining Type and Joining Group properties",
      "scope": "required",
      "hashes": [
        {
          "alg": "SHA-256",
          "content": "d8d00a78170970967fdb83f9d49b92f959ab2bb829186b113e4f4604ad98e180"
        }
      ],
      "licenses": [
        {
          "expression": "Apache-2.0"
        }
      ],
      "purl": "pkg:cargo/unicode-joining-type@1.0.0",
      "externalReferences": [
        {
          "type": "documentation",
          "url": "https://docs.rs/unicode-joining-type"
        },
        {
          "type": "website",
          "url": "https://github.com/yeslogic/unicode-joining-type"
        },
        {
          "type": "vcs",
          "url": "https://github.com/yeslogic/unicode-joining-type"
        }
      ]
    },
    {
      "type": "library",
      "bom-ref": "registry+https://github.com/rust-lang/crates.io-index#byteorder@1.5.0",
      "author": "Andrew Gallant <jamslam@gmail.com>",
      "name": "byteorder",
      "version": "1.5.0",
      "description": "Library for reading/writing numbers in big-endian and little-endian.",
      "scope": "required",
      "hashes": [
        {
          "alg": "SHA-256",
          "content": "1fd0f2584146f6f2ef48085050886acf353beff7305ebd1ae69500e27c67f64b"
        }
      ],
      "licenses": [
        {
          "expression": "Unlicense OR MIT"
        }
      ],
      "purl": "pkg:cargo/byteorder@1.5.0",
      "externalReferences": [
        {
          "type": "documentation",
          "url": "https://docs.rs/byteorder"
        },
        {
          "type": "website",
          "url": "https://github.com/BurntSushi/byteorder"
        },
        {
          "type": "vcs",
          "url": "https://github.com/BurntSushi/byteorder"
        }
      ]
    },
    {
      "type": "library",
      "bom-ref": "registry+https://github.com/rust-lang/crates.io-index#heck@0.4.1",
      "author": "Without Boats <woboats@gmail.com>",
      "name": "heck",
      "version": "0.4.1",
      "description": "heck is a case conversion library.",
      "scope": "required",
      "hashes": [
        {
          "alg": "SHA-256",
          "content": "95505c38b4572b2d910cecb0281560f54b440a19336cbbcb27bf6ce6adc6f5a8"
        }
      ],
      "licenses": [
        {
          "expression": "MIT OR Apache-2.0"
        }
      ],
      "purl": "pkg:cargo/heck@0.4.1",
      "externalReferences": [
        {
          "type": "documentation",
          "url": "https://docs.rs/heck"
        },
        {
          "type": "website",
          "url": "https://github.com/withoutboats/heck"
        },
        {
          "type": "vcs",
          "url": "https://github.com/withoutboats/heck"
        }
      ]
    },
    {
      "type": "library",
      "bom-ref": "registry+https://github.com/rust-lang/crates.io-index#pathfinder_geometry@0.5.1",
      "author": "Patrick Walton <pcwalton@mimiga.net>",
      "name": "pathfinder_geometry",
      "version": "0.5.1",
      "description": "Basic SIMD-accelerated geometry/linear algebra",
      "scope": "required",
      "hashes": [
        {
          "alg": "SHA-256",
          "content": "0b7b7e7b4ea703700ce73ebf128e1450eb69c3a8329199ffbfb9b2a0418e5ad3"
        }
      ],
      "licenses": [
        {
          "expression": "MIT OR Apache-2.0"
        }
      ],
      "purl": "pkg:cargo/pathfinder_geometry@0.5.1",
      "externalReferences": [
        {
          "type": "website",
          "url": "https://github.com/servo/pathfinder"
        },
        {
          "type": "vcs",
          "url": "https://github.com/servo/pathfinder"
        }
      ]
    },
    {
      "type": "library",
      "bom-ref": "registry+https://github.com/rust-lang/crates.io-index#yeslogic-unicode-script@1.0.0",
      "author": "The Servo Project Developers, YesLogic Pty. Ltd. <info@yeslogic.com>",
      "name": "yeslogic-unicode-script",
      "version": "1.0.0",
      "description": "Fast lookup of the Unicode Script property",
      "scope": "required",
      "hashes": [
        {
          "alg": "SHA-256",
          "content": "2fd12546be33767da10c53d2e6fd4542c98812dc9fb5f4db8bfce4c06a94fee1"
        }
      ],
      "licenses": [
        {
          "expression": "MIT  OR  Apache-2.0"
        }
      ],
      "purl": "pkg:cargo/yeslogic-unicode-script@1.0.0",
      "externalReferences": [
        {
          "type": "documentation",
          "url": "https://docs.rs/crate/yeslogic-unicode-script"
        },
        {
          "type": "website",
          "url": "https://github.com/yeslogic/unicode-script"
        },
        {
          "type": "vcs",
          "url": "https://github.com/yeslogic/unicode-script"
        }
      ]
    },
    {
      "type": "library",
      "bom-ref": "pkg:file/libwebp.so.6",
      "name": "libwebp.so.6",
      "purl": "pkg:file/libwebp.so.6"
    },
    {
      "type": "library",
      "bom-ref": "registry+https://github.com/rust-lang/crates.io-index#cfg-if@1.0.1",
      "author": "Alex Crichton <alex@alexcrichton.com>",
      "name": "cfg-if",
      "version": "1.0.1",
      "description": "A macro to ergonomically define an item depending on a large number of #[cfg] parameters. Structured like an if-else chain, the first matching branch is the item that gets emitted. ",
      "scope": "required",
      "hashes": [
        {
          "alg": "SHA-256",
          "content": "9555578bc9e57714c812a1f84e4fc5b4d21fcb063490c624de019f7464c91268"
        }
      ],
      "licenses": [
        {
          "expression": "MIT OR Apache-2.0"
        }
      ],
      "purl": "pkg:cargo/cfg-if@1.0.1",
      "externalReferences": [
        {
          "type": "vcs",
          "url": "https://github.com/rust-lang/cfg-if"
        }
      ]
    },
    {
      "type": "library",
      "bom-ref": "pkg:file/libz.so.1",
      "name": "libz.so.1",
      "purl": "pkg:file/libz.so.1"
    },
    {
      "type": "library",
      "bom-ref": "registry+https://github.com/rust-lang/crates.io-index#rustc-hash@2.1.1",
      "author": "The Rust Project Developers",
      "name": "rustc-hash",
      "version": "2.1.1",
      "description": "A speedy, non-cryptographic hashing algorithm used by rustc",
      "scope": "required",
      "hashes": [
        {
          "alg": "SHA-256",
          "content": "357703d41365b4b27c590e3ed91eabb1b663f07c4c084095e60cbed4362dff0d"
        }
      ],
      "licenses": [
        {
          "expression": "Apache-2.0 OR MIT"
        }
      ],
      "purl": "pkg:cargo/rustc-hash@2.1.1",
      "externalReferences": [
        {
          "type": "vcs",
          "url": "https://github.com/rust-lang/rustc-hash"
        }
      ]
    },
    {
      "type": "library",
      "bom-ref": "registry+https://github.com/rust-lang/crates.io-index#dlib@0.5.2",
      "author": "Elinor Berger <elinor@safaradeg.net>",
      "name": "dlib",
      "version": "0.5.2",
      "description": "Helper macros for handling manually loading optional system libraries.",
      "scope": "required",
      "hashes": [
        {
          "alg": "SHA-256",
          "content": "330c60081dcc4c72131f8eb70510f1ac07223e5d4163db481a04a0befcffa412"
        }
      ],
      "licenses": [
        {
          "expression": "MIT"
        }
      ],
      "purl": "pkg:cargo/dlib@0.5.2",
      "externalReferences": [
        {
          "type": "vcs",
          "url": "https://github.com/elinorbgr/dlib"
        }
      ]
    },
    {
      "type": "library",
      "bom-ref": "yeslogic-cairo",
      "name": "cairo",
      "version": "1.18.0",
      "licenses": [
        {
          "expression": "LGPL-2.1-only OR MPL-1.1"
        }
      ],
      "purl": "pkg:generic/cairo@1.18.0?checksum=sha256%3A243a0736b978a33dee29f9cca7521733b78a65b5418206fef7bd1c3d4cf10b64&download_url=https%3A%2F%2Fcairographics.org%2Freleases%2Fcairo-1.18.0.tar.xz"
    },
    {
      "type": "library",
      "bom-ref": "registry+https://github.com/rust-lang/crates.io-index#enumflags2_derive@0.7.12",
      "author": "maik klein <maikklein@googlemail.com>, Maja Kądziołka <maya@compilercrim.es>",
      "name": "enumflags2_derive",
      "version": "0.7.12",
      "description": "Do not use directly, use the reexport in the `enumflags2` crate. This allows for better compatibility across versions.",
      "scope": "required",
      "hashes": [
        {
          "alg": "SHA-256",
          "content": "67c78a4d8fdf9953a5c9d458f9efe940fd97a0cab0941c075a813ac594733827"
        }
      ],
      "licenses": [
        {
          "expression": "MIT OR Apache-2.0"
        }
      ],
      "purl": "pkg:cargo/enumflags2_derive@0.7.12",
      "externalReferences": [
        {
          "type": "vcs",
          "url": "https://github.com/meithecatte/enumflags2"
        }
      ]
    },
    {
      "type": "library",
      "bom-ref": "registry+https://github.com/rust-lang/crates.io-index#unicode-canonical-combining-class@1.0.0",
      "author": "YesLogic Pty. Ltd. <info@yeslogic.com>",
      "name": "unicode-canonical-combining-class",
      "version": "1.0.0",
      "description": "Fast lookup of the Canonical Combining Class property",
      "scope": "required",
      "hashes": [
        {
          "alg": "SHA-256",
          "content": "41c99d5174052d02ce765418e826597a1be18f32c114e35d9e22f92390239561"
        }
      ],
      "licenses": [
        {
          "expression": "Apache-2.0"
        }
      ],
      "purl": "pkg:cargo/unicode-canonical-combining-class@1.0.0",
      "externalReferences": [
        {
          "type": "documentation",
          "url": "https://docs.rs/unicode-canonical-combining-class"
        },
        {
          "type": "website",
          "url": "https://github.com/yeslogic/unicode-canonical-combining-class"
        },
        {
          "type": "vcs",
          "url": "https://github.com/yeslogic/unicode-canonical-combining-class"
        }
      ]
    },
    {
      "type": "library",
      "bom-ref": "registry+https://github.com/rust-lang/crates.io-index#itertools@0.14.0",
      "author": "bluss",
      "name": "itertools",
      "version": "0.14.0",
      "description": "Extra iterator adaptors, iterator methods, free functions, and macros.",
      "scope": "required",
      "hashes": [
        {
          "alg": "SHA-256",
          "content": "2b192c782037fadd9cfa75548310488aabdbf3d2da73885b31bd0abd03351285"
        }
      ],
      "licenses": [
        {
          "expression": "MIT OR Apache-2.0"
        }
      ],
      "purl": "pkg:cargo/itertools@0.14.0",
      "externalReferences": [
        {
          "type": "documentation",
          "url": "https://docs.rs/itertools/"
        },
        {
          "type": "vcs",
          "url": "https://github.com/rust-itertools/itertools"
        }
      ]
    },
    {
      "type": "library",
      "bom-ref": "registry+https://github.com/rust-lang/crates.io-index#upon@0.10.0",
      "author": "Ross MacArthur <ross@macarthur.io>",
      "name": "upon",
      "version": "0.10.0",
      "description": "A simple, powerful template engine with minimal dependencies and configurable delimiters",
      "scope": "required",
      "hashes": [
        {
          "alg": "SHA-256",
          "content": "f3ead40aa15464f4d808014183fa0b030761ff6f57e162f7fc76d6a900df7a28"
        }
      ],
      "licenses": [
        {
          "expression": "MIT OR Apache-2.0"
        }
      ],
      "purl": "pkg:cargo/upon@0.10.0",
      "externalReferences": [
        {
          "type": "vcs",
          "url": "https://github.com/rossmacarthur/upon"
        }
      ]
    },
    {
      "type": "library",
      "bom-ref": "registry+https://github.com/rust-lang/crates.io-index#libc@0.2.174",
      "author": "The Rust Project Developers",
      "name": "libc",
      "version": "0.2.174",
      "description": "Raw FFI bindings to platform libraries like libc.",
      "scope": "required",
      "hashes": [
        {
          "alg": "SHA-256",
          "content": "1171693293099992e19cddea4e8b849964e9846f4acee11b3948bcc337be8776"
        }
      ],
      "licenses": [
        {
          "expression": "MIT OR Apache-2.0"
        }
      ],
      "purl": "pkg:cargo/libc@0.2.174",
      "externalReferences": [
        {
          "type": "vcs",
          "url": "https://github.com/rust-lang/libc"
        }
      ]
    },
    {
      "type": "library",
      "bom-ref": "pkg:file/libtiff.so.5",
      "name": "libtiff.so.5",
      "purl": "pkg:file/libtiff.so.5"
    },
    {
      "type": "library",
      "bom-ref": "path+file:///var/tmp/prince.ubuntu-20.04-amd64/src/fonts/font-system#0.1.0",
      "author": "YesLogic Pty. Ltd. <info@yeslogic.com>",
      "name": "font-system",
      "version": "0.1.0",
      "scope": "required",
      "licenses": [
        {
          "expression": "LicenseRef-YesLogic"
        }
      ],
      "purl": "pkg:cargo/font-system@0.1.0?download_url=file://.",
      "components": [
        {
          "type": "library",
          "bom-ref": "path+file:///var/tmp/prince.ubuntu-20.04-amd64/src/fonts/font-system#0.1.0 bin-target-0",
          "name": "font_system",
          "version": "0.1.0",
          "purl": "pkg:cargo/font-system@0.1.0?download_url=file://.#src/lib.rs"
        }
      ]
    },
    {
      "type": "library",
      "bom-ref": "pkg:file/libpng16.so.16",
      "name": "libpng16.so.16",
      "purl": "pkg:file/libpng16.so.16"
    },
    {
      "type": "library",
      "bom-ref": "registry+https://github.com/rust-lang/crates.io-index#zlib-rs@0.5.5",
      "name": "zlib-rs",
      "version": "0.5.5",
      "description": "A memory-safe zlib implementation written in rust",
      "scope": "required",
      "hashes": [
        {
          "alg": "SHA-256",
          "content": "40990edd51aae2c2b6907af74ffb635029d5788228222c4bb811e9351c0caad3"
        }
      ],
      "licenses": [
        {
          "expression": "Zlib"
        }
      ],
      "purl": "pkg:cargo/zlib-rs@0.5.5",
      "externalReferences": [
        {
          "type": "website",
          "url": "https://github.com/trifectatechfoundation/zlib-rs"
        },
        {
          "type": "vcs",
          "url": "https://github.com/trifectatechfoundation/zlib-rs"
        }
      ]
    },
    {
      "type": "library",
      "bom-ref": "pkg:file/libfontconfig.so.1",
      "name": "libfontconfig.so.1",
      "purl": "pkg:file/libfontconfig.so.1"
    },
    {
      "type": "library",
      "bom-ref": "registry+https://github.com/rust-lang/crates.io-index#quote@1.0.40",
      "author": "David Tolnay <dtolnay@gmail.com>",
      "name": "quote",
      "version": "1.0.40",
      "description": "Quasi-quoting macro quote!(...)",
      "scope": "required",
      "hashes": [
        {
          "alg": "SHA-256",
          "content": "1885c039570dc00dcb4ff087a89e185fd56bae234ddc7f056a945bf36467248d"
        }
      ],
      "licenses": [
        {
          "expression": "MIT OR Apache-2.0"
        }
      ],
      "purl": "pkg:cargo/quote@1.0.40",
      "externalReferences": [
        {
          "type": "documentation",
          "url": "https://docs.rs/quote/"
        },
        {
          "type": "vcs",
          "url": "https://github.com/dtolnay/quote"
        }
      ]
    },
    {
      "type": "library",
      "bom-ref": "registry+https://github.com/rust-lang/crates.io-index#unicode-linebreak@0.1.5",
      "author": "Axel Forsman <axelsfor@gmail.com>",
      "name": "unicode-linebreak",
      "version": "0.1.5",
      "description": "Implementation of the Unicode Line Breaking Algorithm",
      "scope": "required",
      "hashes": [
        {
          "alg": "SHA-256",
          "content": "3b09c83c3c29d37506a3e260c08c03743a6bb66a9cd432c6934ab501a190571f"
        }
      ],
      "licenses": [
        {
          "expression": "Apache-2.0"
        }
      ],
      "purl": "pkg:cargo/unicode-linebreak@0.1.5",
      "externalReferences": [
        {
          "type": "website",
          "url": "https://github.com/axelf4/unicode-linebreak"
        },
        {
          "type": "vcs",
          "url": "https://github.com/axelf4/unicode-linebreak"
        }
      ]
    },
    {
      "type": "library",
      "bom-ref": "yeslogic-libdatrie",
      "name": "libdatrie",
      "version": "0.2.13",
      "licenses": [
        {
          "expression": "LGPL-2.1-or-later"
        }
      ],
      "purl": "pkg:generic/libdatrie@0.2.13?checksum=sha256%3A12231bb2be2581a7f0fb9904092d24b0ed2a271a16835071ed97bed65267f4be&download_url=https%3A%2F%2Fgithub.com%2Ftlwg%2Flibdatrie%2Freleases%2Fdownload%2Fv0.2.13%2Flibdatrie-0.2.13.tar.xz"
    },
    {
      "type": "library",
      "bom-ref": "pkg:file/libwebpdemux.so.2",
      "name": "libwebpdemux.so.2",
      "purl": "pkg:file/libwebpdemux.so.2"
    },
    {
      "type": "library",
      "bom-ref": "yeslogic-libthai",
      "name": "libthai",
      "version": "0.1.29",
      "licenses": [
        {
          "expression": "LGPL-2.1-or-later"
        }
      ],
      "purl": "pkg:generic/libthai@0.1.29?checksum=sha256%3Afc80cc7dcb50e11302b417cebd24f2d30a8b987292e77e003267b9100d0f4bcd&download_url=https%3A%2F%2Fgithub.com%2Ftlwg%2Flibthai%2Freleases%2Fdownload%2Fv0.1.29%2Flibthai-0.1.29.tar.xz"
    },
    {
      "type": "library",
      "bom-ref": "registry+https://github.com/rust-lang/crates.io-index#ucd-trie@0.1.7",
      "author": "Andrew Gallant <jamslam@gmail.com>",
      "name": "ucd-trie",
      "version": "0.1.7",
      "description": "A trie for storing Unicode codepoint sets and maps. ",
      "scope": "required",
      "hashes": [
        {
          "alg": "SHA-256",
          "content": "2896d95c02a80c6d6a5d6e953d479f5ddf2dfdb6a244441010e373ac0fb88971"
        }
      ],
      "licenses": [
        {
          "expression": "MIT OR Apache-2.0"
        }
      ],
      "purl": "pkg:cargo/ucd-trie@0.1.7",
      "externalReferences": [
        {
          "type": "documentation",
          "url": "https://docs.rs/ucd-trie"
        },
        {
          "type": "website",
          "url": "https://github.com/BurntSushi/ucd-generate"
        },
        {
          "type": "vcs",
          "url": "https://github.com/BurntSushi/ucd-generate"
        }
      ]
    },
    {
      "type": "library",
      "bom-ref": "registry+https://github.com/rust-lang/crates.io-index#syn@2.0.104",
      "author": "David Tolnay <dtolnay@gmail.com>",
      "name": "syn",
      "version": "2.0.104",
      "description": "Parser for Rust source code",
      "scope": "required",
      "hashes": [
        {
          "alg": "SHA-256",
          "content": "17b6f705963418cdb9927482fa304bc562ece2fdd4f616084c50b7023b435a40"
        }
      ],
      "licenses": [
        {
          "expression": "MIT OR Apache-2.0"
        }
      ],
      "purl": "pkg:cargo/syn@2.0.104",
      "externalReferences": [
        {
          "type": "documentation",
          "url": "https://docs.rs/syn"
        },
        {
          "type": "vcs",
          "url": "https://github.com/dtolnay/syn"
        }
      ]
    },
    {
      "type": "library",
      "bom-ref": "registry+https://github.com/rust-lang/crates.io-index#alloc-no-stdlib@2.0.4",
      "author": "Daniel Reiter Horn <danielrh@dropbox.com>",
      "name": "alloc-no-stdlib",
      "version": "2.0.4",
      "description": "A dynamic allocator that may be used with or without the stdlib. This allows a package with nostd to allocate memory dynamically and be used either with a custom allocator, items on the stack, or by a package that wishes to simply use Box<>. It also provides options to use calloc or a mutable global variable for pre-zeroed memory",
      "scope": "required",
      "hashes": [
        {
          "alg": "SHA-256",
          "content": "cc7bb162ec39d46ab1ca8c77bf72e890535becd1751bb45f64c597edb4c8c6b3"
        }
      ],
      "licenses": [
        {
          "expression": "BSD-3-Clause"
        }
      ],
      "purl": "pkg:cargo/alloc-no-stdlib@2.0.4",
      "externalReferences": [
        {
          "type": "documentation",
          "url": "https://raw.githubusercontent.com/dropbox/rust-alloc-no-stdlib/master/tests/lib.rs"
        },
        {
          "type": "website",
          "url": "https://github.com/dropbox/rust-alloc-no-stdlib"
        },
        {
          "type": "vcs",
          "url": "https://github.com/dropbox/rust-alloc-no-stdlib"
        }
      ]
    },
    {
      "type": "library",
      "bom-ref": "pkg:file/ld-linux-x86-64.so.2",
      "name": "ld-linux-x86-64.so.2",
      "purl": "pkg:file/ld-linux-x86-64.so.2"
    },
    {
      "type": "library",
      "bom-ref": "registry+https://github.com/rust-lang/crates.io-index#flate2@1.1.2",
      "author": "Alex Crichton <alex@alexcrichton.com>, Josh Triplett <josh@joshtriplett.org>",
      "name": "flate2",
      "version": "1.1.2",
      "description": "DEFLATE compression and decompression exposed as Read/BufRead/Write streams. Supports miniz_oxide and multiple zlib implementations. Supports zlib, gzip, and raw deflate streams. ",
      "scope": "required",
      "hashes": [
        {
          "alg": "SHA-256",
          "content": "4a3d7db9596fecd151c5f638c0ee5d5bd487b6e0ea232e5dc96d5250f6f94b1d"
        }
      ],
      "licenses": [
        {
          "expression": "MIT OR Apache-2.0"
        }
      ],
      "purl": "pkg:cargo/flate2@1.1.2",
      "externalReferences": [
        {
          "type": "documentation",
          "url": "https://docs.rs/flate2"
        },
        {
          "type": "website",
          "url": "https://github.com/rust-lang/flate2-rs"
        },
        {
          "type": "vcs",
          "url": "https://github.com/rust-lang/flate2-rs"
        }
      ]
    },
    {
      "type": "library",
      "bom-ref": "registry+https://github.com/rust-lang/crates.io-index#cairo-sys-rs@0.21.0",
      "author": "The gtk-rs Project Developers",
      "name": "cairo-sys-rs",
      "version": "0.21.0",
      "description": "FFI bindings to libcairo",
      "scope": "required",
      "hashes": [
        {
          "alg": "SHA-256",
          "content": "cab7e9f13c802625aad1ad2b4ae3989f4ce9339ff388f335a6f109f9338705e2"
        }
      ],
      "licenses": [
        {
          "expression": "MIT"
        }
      ],
      "purl": "pkg:cargo/cairo-sys-rs@0.21.0",
      "externalReferences": [
        {
          "type": "website",
          "url": "https://gtk-rs.org/"
        },
        {
          "type": "vcs",
          "url": "https://github.com/gtk-rs/gtk-rs-core"
        }
      ]
    },
    {
      "type": "library",
      "bom-ref": "registry+https://github.com/rust-lang/crates.io-index#yansi@1.0.1",
      "author": "Sergio Benitez <sb@sergio.bz>",
      "name": "yansi",
      "version": "1.0.1",
      "description": "A dead simple ANSI terminal color painting library.",
      "scope": "required",
      "hashes": [
        {
          "alg": "SHA-256",
          "content": "cfe53a6657fd280eaa890a3bc59152892ffa3e30101319d168b781ed6529b049"
        }
      ],
      "licenses": [
        {
          "expression": "MIT OR Apache-2.0"
        }
      ],
      "purl": "pkg:cargo/yansi@1.0.1",
      "externalReferences": [
        {
          "type": "documentation",
          "url": "https://docs.rs/yansi"
        },
        {
          "type": "vcs",
          "url": "https://github.com/SergioBenitez/yansi"
        }
      ]
    },
    {
      "type": "library",
      "bom-ref": "yeslogic-mimalloc",
      "name": "mimalloc",
      "version": "2.1.9",
      "licenses": [
        {
          "expression": "MIT"
        }
      ],
      "purl": "pkg:generic/mimalloc@2.1.9?checksum=sha256%3Add8ff701691f19bf4e225d42ef0d3d5e6ca0e03498ee4f044a0402e4697e4a20&download_url=https%3A%2F%2Fgithub.com%2Fmicrosoft%2Fmimalloc%2Farchive%2Frefs%2Ftags%2Fv2.1.9.tar.gz"
    },
    {
      "type": "library",
      "bom-ref": "registry+https://github.com/rust-lang/crates.io-index#once_cell@1.21.3",
      "author": "Aleksey Kladov <aleksey.kladov@gmail.com>",
      "name": "once_cell",
      "version": "1.21.3",
      "description": "Single assignment cells and lazy values.",
      "scope": "required",
      "hashes": [
        {
          "alg": "SHA-256",
          "content": "42f5e15c9953c5e4ccceeb2e7382a716482c34515315f7b03532b8b4e8393d2d"
        }
      ],
      "licenses": [
        {
          "expression": "MIT OR Apache-2.0"
        }
      ],
      "purl": "pkg:cargo/once_cell@1.21.3",
      "externalReferences": [
        {
          "type": "documentation",
          "url": "https://docs.rs/once_cell"
        },
        {
          "type": "vcs",
          "url": "https://github.com/matklad/once_cell"
        }
      ]
    },
    {
      "type": "library",
      "bom-ref": "path+file:///var/tmp/prince.ubuntu-20.04-amd64/src/fonts/fontcode-rust#fontcode@0.1.0",
      "author": "YesLogic Pty. Ltd. <info@yeslogic.com>",
      "name": "fontcode",
      "version": "0.1.0",
      "scope": "required",
      "licenses": [
        {
          "expression": "LicenseRef-YesLogic"
        }
      ],
      "purl": "pkg:cargo/fontcode@0.1.0?download_url=file://.",
      "components": [
        {
          "type": "library",
          "bom-ref": "path+file:///var/tmp/prince.ubuntu-20.04-amd64/src/fonts/fontcode-rust#fontcode@0.1.0 bin-target-0",
          "name": "fontcode",
          "version": "0.1.0",
          "purl": "pkg:cargo/fontcode@0.1.0?download_url=file://.#src/lib.rs"
        }
      ]
    },
    {
      "type": "library",
      "bom-ref": "pkg:file/libgif.so.7",
      "name": "libgif.so.7",
      "purl": "pkg:file/libgif.so.7"
    },
    {
      "type": "library",
      "bom-ref": "pkg:file/libm.so.6",
      "name": "libm.so.6",
      "purl": "pkg:file/libm.so.6"
    },
    {
      "type": "library",
      "bom-ref": "registry+https://github.com/rust-lang/crates.io-index#alloc-stdlib@0.2.2",
      "author": "Daniel Reiter Horn <danielrh@dropbox.com>",
      "name": "alloc-stdlib",
      "version": "0.2.2",
      "description": "A dynamic allocator example that may be used with the stdlib",
      "scope": "required",
      "hashes": [
        {
          "alg": "SHA-256",
          "content": "94fb8275041c72129eb51b7d0322c29b8387a0386127718b096429201a5d6ece"
        }
      ],
      "licenses": [
        {
          "expression": "BSD-3-Clause"
        }
      ],
      "purl": "pkg:cargo/alloc-stdlib@0.2.2",
      "externalReferences": [
        {
          "type": "documentation",
          "url": "https://raw.githubusercontent.com/dropbox/rust-alloc-no-stdlib/master/alloc-stdlib/tests/lib.rs"
        },
        {
          "type": "website",
          "url": "https://github.com/dropbox/rust-alloc-no-stdlib"
        },
        {
          "type": "vcs",
          "url": "https://github.com/dropbox/rust-alloc-no-stdlib"
        }
      ]
    },
    {
      "type": "library",
      "bom-ref": "registry+https://github.com/rust-lang/crates.io-index#proc-macro2-diagnostics@0.10.1",
      "author": "Sergio Benitez <sb@sergio.bz>",
      "name": "proc-macro2-diagnostics",
      "version": "0.10.1",
      "description": "Diagnostics for proc-macro2.",
      "scope": "required",
      "hashes": [
        {
          "alg": "SHA-256",
          "content": "af066a9c399a26e020ada66a034357a868728e72cd426f3adcd35f80d88d88c8"
        }
      ],
      "licenses": [
        {
          "expression": "MIT OR Apache-2.0"
        }
      ],
      "purl": "pkg:cargo/proc-macro2-diagnostics@0.10.1",
      "externalReferences": [
        {
          "type": "documentation",
          "url": "https://docs.rs/proc-macro2-diagnostics"
        },
        {
          "type": "website",
          "url": "https://github.com/SergioBenitez/proc-macro2-diagnostics"
        },
        {
          "type": "vcs",
          "url": "https://github.com/SergioBenitez/proc-macro2-diagnostics"
        }
      ]
    },
    {
      "type": "library",
      "bom-ref": "git+https://github.com/yeslogic/pathfinder.git#pathfinder_simd@0.5.5",
      "author": "Patrick Walton <pcwalton@mimiga.net>",
      "name": "pathfinder_simd",
      "version": "0.5.5",
      "description": "A simple SIMD library",
      "scope": "required",
      "licenses": [
        {
          "expression": "MIT OR Apache-2.0"
        }
      ],
      "purl": "pkg:cargo/pathfinder_simd@0.5.5?vcs_url=git%2Bhttps://github.com/yeslogic/pathfinder.git%40ab8e9504892dd7f893d9f55a4a6f78f12bf20891",
      "externalReferences": [
        {
          "type": "website",
          "url": "https://github.com/servo/pathfinder"
        },
        {
          "type": "vcs",
          "url": "https://github.com/servo/pathfinder"
        }
      ]
    },
    {
      "type": "library",
      "bom-ref": "registry+https://github.com/rust-lang/crates.io-index#glyph-names@0.2.0",
      "author": "YesLogic Pty. Ltd. <info@yeslogic.com>",
      "name": "glyph-names",
      "version": "0.2.0",
      "description": "Mapping of characters to glyph names according to the Adobe Glyph List Specification",
      "scope": "required",
      "hashes": [
        {
          "alg": "SHA-256",
          "content": "c3531d702d6c1a3ba92a5fb55a404c7b8c476c8e7ca249951077afcbe4bc807f"
        }
      ],
      "licenses": [
        {
          "expression": "BSD-3-Clause"
        }
      ],
      "purl": "pkg:cargo/glyph-names@0.2.0",
      "externalReferences": [
        {
          "type": "documentation",
          "url": "https://docs.rs/crate/glyph-names"
        },
        {
          "type": "website",
          "url": "https://github.com/yeslogic/glyph-names"
        },
        {
          "type": "vcs",
          "url": "https://github.com/yeslogic/glyph-names"
        }
      ]
    },
    {
      "type": "library",
      "bom-ref": "pkg:file/libdl.so.2",
      "name": "libdl.so.2",
      "purl": "pkg:file/libdl.so.2"
    },
    {
      "type": "library",
      "bom-ref": "registry+https://github.com/rust-lang/crates.io-index#crc32fast@1.4.2",
      "author": "Sam Rijs <srijs@airpost.net>, Alex Crichton <alex@alexcrichton.com>",
      "name": "crc32fast",
      "version": "1.4.2",
      "description": "Fast, SIMD-accelerated CRC32 (IEEE) checksum computation",
      "scope": "required",
      "hashes": [
        {
          "alg": "SHA-256",
          "content": "a97769d94ddab943e4510d138150169a2758b5ef3eb191a9ee688de3e23ef7b3"
        }
      ],
      "licenses": [
        {
          "expression": "MIT OR Apache-2.0"
        }
      ],
      "purl": "pkg:cargo/crc32fast@1.4.2",
      "externalReferences": [
        {
          "type": "vcs",
          "url": "https://github.com/srijs/rust-crc32fast"
        }
      ]
    },
    {
      "type": "library",
      "bom-ref": "registry+https://github.com/rust-lang/crates.io-index#proc-macro2@1.0.95",
      "author": "David Tolnay <dtolnay@gmail.com>, Alex Crichton <alex@alexcrichton.com>",
      "name": "proc-macro2",
      "version": "1.0.95",
      "description": "A substitute implementation of the compiler's `proc_macro` API to decouple token-based libraries from the procedural macro use case.",
      "scope": "required",
      "hashes": [
        {
          "alg": "SHA-256",
          "content": "02b3e5e68a3a1a02aad3ec490a98007cbc13c37cbe84a3cd7b8e406d76e7f778"
        }
      ],
      "licenses": [
        {
          "expression": "MIT OR Apache-2.0"
        }
      ],
      "purl": "pkg:cargo/proc-macro2@1.0.95",
      "externalReferences": [
        {
          "type": "documentation",
          "url": "https://docs.rs/proc-macro2"
        },
        {
          "type": "vcs",
          "url": "https://github.com/dtolnay/proc-macro2"
        }
      ]
    },
    {
      "type": "library",
      "bom-ref": "yeslogic-pixman",
      "name": "pixman",
      "version": "0.43.4",
      "licenses": [
        {
          "expression": "MIT"
        }
      ],
      "purl": "pkg:generic/pixman@0.43.4?checksum=sha256%3Aa0624db90180c7ddb79fc7a9151093dc37c646d8c38d3f232f767cf64b85a226&download_url=https%3A%2F%2Fcairographics.org%2Freleases%2Fpixman-0.43.4.tar.gz"
    },
    {
      "type": "library",
      "bom-ref": "registry+https://github.com/rust-lang/crates.io-index#either@1.15.0",
      "author": "bluss",
      "name": "either",
      "version": "1.15.0",
      "description": "The enum `Either` with variants `Left` and `Right` is a general purpose sum type with two cases. ",
      "scope": "required",
      "hashes": [
        {
          "alg": "SHA-256",
          "content": "48c757948c5ede0e46177b7add2e67155f70e33c07fea8284df6576da70b3719"
        }
      ],
      "licenses": [
        {
          "expression": "MIT OR Apache-2.0"
        }
      ],
      "purl": "pkg:cargo/either@1.15.0",
      "externalReferences": [
        {
          "type": "documentation",
          "url": "https://docs.rs/either/1/"
        },
        {
          "type": "vcs",
          "url": "https://github.com/rayon-rs/either"
        }
      ]
    },
    {
      "type": "library",
      "bom-ref": "registry+https://github.com/rust-lang/crates.io-index#tinyvec@1.9.0",
      "author": "Lokathor <zefria@gmail.com>",
      "name": "tinyvec",
      "version": "1.9.0",
      "description": "`tinyvec` provides 100% safe vec-like data structures.",
      "scope": "required",
      "hashes": [
        {
          "alg": "SHA-256",
          "content": "09b3661f17e86524eccd4371ab0429194e0d7c008abb45f7a7495b1719463c71"
        }
      ],
      "licenses": [
        {
          "expression": "Zlib OR Apache-2.0 OR MIT"
        }
      ],
      "purl": "pkg:cargo/tinyvec@1.9.0",
      "externalReferences": [
        {
          "type": "vcs",
          "url": "https://github.com/Lokathor/tinyvec"
        }
      ]
    },
    {
      "type": "library",
      "bom-ref": "pkg:file/libjpeg.so.8",
      "name": "libjpeg.so.8",
      "purl": "pkg:file/libjpeg.so.8"
    },
    {
      "type": "library",
      "bom-ref": "registry+https://github.com/rust-lang/crates.io-index#unicode-general-category@1.0.0",
      "author": "YesLogic Pty. Ltd. <info@yeslogic.com>",
      "name": "unicode-general-category",
      "version": "1.0.0",
      "description": "Fast lookup of the Unicode General Category property for char",
      "scope": "required",
      "hashes": [
        {
          "alg": "SHA-256",
          "content": "24adfe8311434967077a6adff125729161e6e4934d76f6b7c55318ac5c9246d3"
        }
      ],
      "licenses": [
        {
          "expression": "Apache-2.0"
        }
      ],
      "purl": "pkg:cargo/unicode-general-category@1.0.0",
      "externalReferences": [
        {
          "type": "documentation",
          "url": "https://docs.rs/unicode-general-category"
        },
        {
          "type": "website",
          "url": "https://github.com/yeslogic/unicode-general-category"
        },
        {
          "type": "vcs",
          "url": "https://github.com/yeslogic/unicode-general-category"
        }
      ]
    },
    {
      "type": "library",
      "bom-ref": "pkg:file/libxml2.so.2",
      "name": "libxml2.so.2",
      "purl": "pkg:file/libxml2.so.2"
    }
  ],
  "dependencies": [
    {
      "ref": "registry+https://github.com/rust-lang/crates.io-index#libz-rs-sys@0.5.5",
      "dependsOn": [
        "registry+https://github.com/rust-lang/crates.io-index#zlib-rs@0.5.5"
      ]
    },
    {
      "ref": "registry+https://github.com/rust-lang/crates.io-index#zlib-rs@0.5.5",
      "dependsOn": []
    },
    {
      "ref": "registry+https://github.com/rust-lang/crates.io-index#aliasable@0.1.3",
      "dependsOn": []
    },
    {
      "ref": "registry+https://github.com/rust-lang/crates.io-index#unicode-ident@1.0.18",
      "dependsOn": []
    },
    {
      "ref": "registry+https://github.com/rust-lang/crates.io-index#alloc-stdlib@0.2.2",
      "dependsOn": [
        "registry+https://github.com/rust-lang/crates.io-index#alloc-no-stdlib@2.0.4"
      ]
    },
    {
      "ref": "registry+https://github.com/rust-lang/crates.io-index#unicode-case-mapping@1.0.0",
      "dependsOn": []
    },
    {
      "ref": "yeslogic-pixman",
      "dependsOn": []
    },
    {
      "ref": "pkg:file/libwebp.so.6",
      "dependsOn": []
    },
    {
      "ref": "pkg:file/libm.so.6",
      "dependsOn": []
    },
    {
      "ref": "registry+https://github.com/rust-lang/crates.io-index#brotli-decompressor@5.0.0",
      "dependsOn": [
        "registry+https://github.com/rust-lang/crates.io-index#alloc-no-stdlib@2.0.4",
        "registry+https://github.com/rust-lang/crates.io-index#alloc-stdlib@0.2.2"
      ]
    },
    {
      "ref": "registry+https://github.com/rust-lang/crates.io-index#yansi@1.0.1",
      "dependsOn": []
    },
    {
      "ref": "registry+https://github.com/rust-lang/crates.io-index#quote@1.0.40",
      "dependsOn": [
        "registry+https://github.com/rust-lang/crates.io-index#proc-macro2@1.0.95"
      ]
    },
    {
      "ref": "registry+https://github.com/rust-lang/crates.io-index#crc32fast@1.4.2",
      "dependsOn": [
        "registry+https://github.com/rust-lang/crates.io-index#cfg-if@1.0.1"
      ]
    },
    {
      "ref": "pkg:file/libpng16.so.16",
      "dependsOn": []
    },
    {
      "ref": "registry+https://github.com/rust-lang/crates.io-index#fontconfig@0.11.0",
      "dependsOn": [
        "registry+https://github.com/rust-lang/crates.io-index#yeslogic-fontconfig-sys@6.0.1"
      ]
    },
    {
      "ref": "registry+https://github.com/rust-lang/crates.io-index#ouroboros_macro@0.18.5",
      "dependsOn": [
        "registry+https://github.com/rust-lang/crates.io-index#heck@0.4.1",
        "registry+https://github.com/rust-lang/crates.io-index#proc-macro2@1.0.95",
        "registry+https://github.com/rust-lang/crates.io-index#proc-macro2-diagnostics@0.10.1",
        "registry+https://github.com/rust-lang/crates.io-index#quote@1.0.40",
        "registry+https://github.com/rust-lang/crates.io-index#syn@2.0.104"
      ]
    },
    {
      "ref": "yeslogic-mimalloc",
      "dependsOn": []
    },
    {
      "ref": "registry+https://github.com/rust-lang/crates.io-index#ucd-trie@0.1.7",
      "dependsOn": []
    },
    {
      "ref": "registry+https://github.com/rust-lang/crates.io-index#encoding_rs@0.8.35",
      "dependsOn": [
        "registry+https://github.com/rust-lang/crates.io-index#cfg-if@1.0.1"
      ]
    },
    {
      "ref": "pkg:file/libfontconfig.so.1",
      "dependsOn": []
    },
    {
      "ref": "pkg:file/libfreetype.so.6",
      "dependsOn": []
    },
    {
      "ref": "registry+https://github.com/rust-lang/crates.io-index#glyph-names@0.2.0",
      "dependsOn": []
    },
    {
      "ref": "registry+https://github.com/rust-lang/crates.io-index#libloading@0.8.8",
      "dependsOn": [
        "registry+https://github.com/rust-lang/crates.io-index#cfg-if@1.0.1"
      ]
    },
    {
      "ref": "registry+https://github.com/rust-lang/crates.io-index#either@1.15.0",
      "dependsOn": []
    },
    {
      "ref": "pkg:file/libwebpdemux.so.2",
      "dependsOn": []
    },
    {
      "ref": "path+file:///var/tmp/prince.ubuntu-20.04-amd64/src/unicode/ucd-rust#ucd@0.2.0",
      "dependsOn": [
        "registry+https://github.com/rust-lang/crates.io-index#libc@0.2.174",
        "registry+https://github.com/rust-lang/crates.io-index#ucd-trie@0.1.7",
        "git+https://github.com/yeslogic/unicode-bidi.git?branch=prince#unicode-bidi@0.3.8",
        "registry+https://github.com/rust-lang/crates.io-index#unicode-canonical-combining-class@1.0.0",
        "registry+https://github.com/rust-lang/crates.io-index#unicode-case-mapping@1.0.0",
        "registry+https://github.com/rust-lang/crates.io-index#unicode-general-category@1.0.0",
        "registry+https://github.com/rust-lang/crates.io-index#unicode-joining-type@1.0.0",
        "registry+https://github.com/rust-lang/crates.io-index#yeslogic-unicode-script@1.0.0"
      ]
    },
    {
      "ref": "pkg:file/libgif.so.7",
      "dependsOn": []
    },
    {
      "ref": "registry+https://github.com/rust-lang/crates.io-index#tinyvec@1.9.0",
      "dependsOn": [
        "registry+https://github.com/rust-lang/crates.io-index#tinyvec_macros@0.1.1"
      ]
    },
    {
      "ref": "registry+https://github.com/rust-lang/crates.io-index#proc-macro2-diagnostics@0.10.1",
      "dependsOn": [
        "registry+https://github.com/rust-lang/crates.io-index#proc-macro2@1.0.95",
        "registry+https://github.com/rust-lang/crates.io-index#quote@1.0.40",
        "registry+https://github.com/rust-lang/crates.io-index#syn@2.0.104",
        "registry+https://github.com/rust-lang/crates.io-index#yansi@1.0.1"
      ]
    },
    {
      "ref": "registry+https://github.com/rust-lang/crates.io-index#bitreader@0.3.11",
      "dependsOn": [
        "registry+https://github.com/rust-lang/crates.io-index#cfg-if@1.0.1"
      ]
    },
    {
      "ref": "registry+https://github.com/rust-lang/crates.io-index#syn@2.0.104",
      "dependsOn": [
        "registry+https://github.com/rust-lang/crates.io-index#proc-macro2@1.0.95",
        "registry+https://github.com/rust-lang/crates.io-index#quote@1.0.40",
        "registry+https://github.com/rust-lang/crates.io-index#unicode-ident@1.0.18"
      ]
    },
    {
      "ref": "pkg:file/libc.so.6",
      "dependsOn": []
    },
    {
      "ref": "registry+https://github.com/rust-lang/crates.io-index#enumflags2_derive@0.7.12",
      "dependsOn": [
        "registry+https://github.com/rust-lang/crates.io-index#proc-macro2@1.0.95",
        "registry+https://github.com/rust-lang/crates.io-index#quote@1.0.40",
        "registry+https://github.com/rust-lang/crates.io-index#syn@2.0.104"
      ]
    },
    {
      "ref": "registry+https://github.com/rust-lang/crates.io-index#libz-sys@1.1.22",
      "dependsOn": []
    },
    {
      "ref": "pkg:file/libjpeg.so.8",
      "dependsOn": []
    },
    {
      "ref": "registry+https://github.com/rust-lang/crates.io-index#upon@0.10.0",
      "dependsOn": []
    },
    {
      "ref": "pkg:file/libz.so.1",
      "dependsOn": []
    },
    {
      "ref": "path+file:///var/tmp/prince.ubuntu-20.04-amd64/src/unicode/uax14-rust#uax14@0.1.0",
      "dependsOn": [
        "registry+https://github.com/rust-lang/crates.io-index#unicode-linebreak@0.1.5"
      ]
    },
    {
      "ref": "registry+https://github.com/rust-lang/crates.io-index#pathfinder_geometry@0.5.1",
      "dependsOn": [
        "registry+https://github.com/rust-lang/crates.io-index#log@0.4.27",
        "git+https://github.com/yeslogic/pathfinder.git#pathfinder_simd@0.5.5"
      ]
    },
    {
      "ref": "pkg:file/libcurl.so.4",
      "dependsOn": []
    },
    {
      "ref": "registry+https://github.com/rust-lang/crates.io-index#alloc-no-stdlib@2.0.4",
      "dependsOn": []
    },
    {
      "ref": "registry+https://github.com/rust-lang/crates.io-index#unicode-general-category@1.0.0",
      "dependsOn": []
    },
    {
      "ref": "yeslogic-libdatrie",
      "dependsOn": []
    },
    {
      "ref": "registry+https://github.com/rust-lang/crates.io-index#enumflags2@0.7.12",
      "dependsOn": [
        "registry+https://github.com/rust-lang/crates.io-index#enumflags2_derive@0.7.12"
      ]
    },
    {
      "ref": "registry+https://github.com/rust-lang/crates.io-index#yeslogic-fontconfig-sys@6.0.1",
      "dependsOn": [
        "registry+https://github.com/rust-lang/crates.io-index#dlib@0.5.2",
        "registry+https://github.com/rust-lang/crates.io-index#once_cell@1.21.3"
      ]
    },
    {
      "ref": "path+file:///var/tmp/prince.ubuntu-20.04-amd64/src/fonts/fontcode-rust#fontcode@0.1.0",
      "dependsOn": [
        "path+file:///var/tmp/prince.ubuntu-20.04-amd64/src/fonts/allsorts#0.17.0",
        "registry+https://github.com/rust-lang/crates.io-index#cairo-rs@0.21.0",
        "registry+https://github.com/rust-lang/crates.io-index#encoding_rs@0.8.35",
        "registry+https://github.com/rust-lang/crates.io-index#itertools@0.14.0",
        "registry+https://github.com/rust-lang/crates.io-index#libc@0.2.174",
        "path+file:///var/tmp/prince.ubuntu-20.04-amd64/src/unicode/ucd-rust#ucd@0.2.0"
      ]
    },
    {
      "ref": "yeslogic-libavif",
      "dependsOn": [
        "yeslogic-aom"
      ]
    },
    {
      "ref": "pkg:file/liblcms2.so.2",
      "dependsOn": []
    },
    {
      "ref": "registry+https://github.com/rust-lang/crates.io-index#cairo-rs@0.21.0",
      "dependsOn": [
        "registry+https://github.com/rust-lang/crates.io-index#bitflags@2.9.1",
        "registry+https://github.com/rust-lang/crates.io-index#cairo-sys-rs@0.21.0",
        "registry+https://github.com/rust-lang/crates.io-index#libc@0.2.174"
      ]
    },
    {
      "ref": "registry+https://github.com/rust-lang/crates.io-index#log@0.4.27",
      "dependsOn": []
    },
    {
      "ref": "yeslogic-aom",
      "dependsOn": []
    },
    {
      "ref": "registry+https://github.com/rust-lang/crates.io-index#proc-macro2@1.0.95",
      "dependsOn": [
        "registry+https://github.com/rust-lang/crates.io-index#unicode-ident@1.0.18"
      ]
    },
    {
      "ref": "registry+https://github.com/rust-lang/crates.io-index#rustc-hash@2.1.1",
      "dependsOn": []
    },
    {
      "ref": "registry+https://github.com/rust-lang/crates.io-index#unicode-canonical-combining-class@1.0.0",
      "dependsOn": []
    },
    {
      "ref": "path+file:///var/tmp/prince.ubuntu-20.04-amd64/src/fonts/font-system#0.1.0",
      "dependsOn": [
        "registry+https://github.com/rust-lang/crates.io-index#fontconfig@0.11.0"
      ]
    },
    {
      "ref": "registry+https://github.com/rust-lang/crates.io-index#itertools@0.14.0",
      "dependsOn": [
        "registry+https://github.com/rust-lang/crates.io-index#either@1.15.0"
      ]
    },
    {
      "ref": "registry+https://github.com/rust-lang/crates.io-index#byteorder@1.5.0",
      "dependsOn": []
    },
    {
      "ref": "registry+https://github.com/rust-lang/crates.io-index#libc@0.2.174",
      "dependsOn": []
    },
    {
      "ref": "pkg:file/libdl.so.2",
      "dependsOn": []
    },
    {
      "ref": "pkg:file/libpthread.so.0",
      "dependsOn": []
    },
    {
      "ref": "registry+https://github.com/rust-lang/crates.io-index#tinyvec_macros@0.1.1",
      "dependsOn": []
    },
    {
      "ref": "registry+https://github.com/rust-lang/crates.io-index#unicode-linebreak@0.1.5",
      "dependsOn": []
    },
    {
      "ref": "pkg:file/libtiff.so.5",
      "dependsOn": []
    },
    {
      "ref": "registry+https://github.com/rust-lang/crates.io-index#ouroboros@0.18.5",
      "dependsOn": [
        "registry+https://github.com/rust-lang/crates.io-index#aliasable@0.1.3",
        "registry+https://github.com/rust-lang/crates.io-index#ouroboros_macro@0.18.5",
        "registry+https://github.com/rust-lang/crates.io-index#static_assertions@1.1.0"
      ]
    },
    {
      "ref": "pkg:file/libstdc++.so.6",
      "dependsOn": []
    },
    {
      "ref": "registry+https://github.com/rust-lang/crates.io-index#cfg-if@1.0.1",
      "dependsOn": []
    },
    {
      "ref": "pkg:file/ld-linux-x86-64.so.2",
      "dependsOn": []
    },
    {
      "ref": "registry+https://github.com/rust-lang/crates.io-index#heck@0.4.1",
      "dependsOn": []
    },
    {
      "ref": "registry+https://github.com/rust-lang/crates.io-index#static_assertions@1.1.0",
      "dependsOn": []
    },
    {
      "ref": "registry+https://github.com/rust-lang/crates.io-index#bitflags@2.9.1",
      "dependsOn": []
    },
    {
      "ref": "prince",
      "dependsOn": [
        "yeslogic-hunspell",
        "yeslogic-mimalloc",
        "yeslogic-cairo",
        "yeslogic-pixman",
        "yeslogic-libavif",
        "yeslogic-libthai",
        "path+file:///var/tmp/prince.ubuntu-20.04-amd64/src/fonts/fontcode-rust#fontcode@0.1.0"
      ]
    },
    {
      "ref": "registry+https://github.com/rust-lang/crates.io-index#cairo-sys-rs@0.21.0",
      "dependsOn": [
        "registry+https://github.com/rust-lang/crates.io-index#libc@0.2.174"
      ]
    },
    {
      "ref": "registry+https://github.com/rust-lang/crates.io-index#once_cell@1.21.3",
      "dependsOn": []
    },
    {
      "ref": "path+file:///var/tmp/prince.ubuntu-20.04-amd64/src/fonts/allsorts#0.17.0",
      "dependsOn": [
        "registry+https://github.com/rust-lang/crates.io-index#bitreader@0.3.11",
        "registry+https://github.com/rust-lang/crates.io-index#brotli-decompressor@5.0.0",
        "registry+https://github.com/rust-lang/crates.io-index#byteorder@1.5.0",
        "registry+https://github.com/rust-lang/crates.io-index#crc32fast@1.4.2",
        "registry+https://github.com/rust-lang/crates.io-index#encoding_rs@0.8.35",
        "registry+https://github.com/rust-lang/crates.io-index#enumflags2@0.7.12",
        "registry+https://github.com/rust-lang/crates.io-index#flate2@1.1.2",
        "registry+https://github.com/rust-lang/crates.io-index#glyph-names@0.2.0",
        "registry+https://github.com/rust-lang/crates.io-index#itertools@0.14.0",
        "registry+https://github.com/rust-lang/crates.io-index#libc@0.2.174",
        "registry+https://github.com/rust-lang/crates.io-index#log@0.4.27",
        "registry+https://github.com/rust-lang/crates.io-index#num-traits@0.2.19",
        "registry+https://github.com/rust-lang/crates.io-index#ouroboros@0.18.5",
        "registry+https://github.com/rust-lang/crates.io-index#pathfinder_geometry@0.5.1",
        "registry+https://github.com/rust-lang/crates.io-index#rustc-hash@2.1.1",
        "registry+https://github.com/rust-lang/crates.io-index#tinyvec@1.9.0",
        "registry+https://github.com/rust-lang/crates.io-index#ucd-trie@0.1.7",
        "registry+https://github.com/rust-lang/crates.io-index#unicode-canonical-combining-class@1.0.0",
        "registry+https://github.com/rust-lang/crates.io-index#unicode-general-category@1.0.0",
        "registry+https://github.com/rust-lang/crates.io-index#unicode-joining-type@1.0.0",
        "registry+https://github.com/rust-lang/crates.io-index#upon@0.10.0",
        "registry+https://github.com/rust-lang/crates.io-index#yeslogic-unicode-blocks@0.2.0"
      ]
    },
    {
      "ref": "registry+https://github.com/rust-lang/crates.io-index#flate2@1.1.2",
      "dependsOn": [
        "registry+https://github.com/rust-lang/crates.io-index#crc32fast@1.4.2",
        "registry+https://github.com/rust-lang/crates.io-index#libz-rs-sys@0.5.5",
        "registry+https://github.com/rust-lang/crates.io-index#libz-sys@1.1.22"
      ]
    },
    {
      "ref": "registry+https://github.com/rust-lang/crates.io-index#dlib@0.5.2",
      "dependsOn": [
        "registry+https://github.com/rust-lang/crates.io-index#libloading@0.8.8"
      ]
    },
    {
      "ref": "registry+https://github.com/rust-lang/crates.io-index#unicode-joining-type@1.0.0",
      "dependsOn": []
    },
    {
      "ref": "registry+https://github.com/rust-lang/crates.io-index#num-traits@0.2.19",
      "dependsOn": []
    },
    {
      "ref": "yeslogic-libthai",
      "dependsOn": [
        "yeslogic-libdatrie"
      ]
    },
    {
      "ref": "registry+https://github.com/rust-lang/crates.io-index#yeslogic-unicode-script@1.0.0",
      "dependsOn": []
    },
    {
      "ref": "git+https://github.com/yeslogic/unicode-bidi.git?branch=prince#unicode-bidi@0.3.8",
      "dependsOn": []
    },
    {
      "ref": "yeslogic-cairo",
      "dependsOn": [
        "yeslogic-pixman"
      ]
    },
    {
      "ref": "pkg:file/libxml2.so.2",
      "dependsOn": []
    },
    {
      "ref": "yeslogic-hunspell",
      "dependsOn": []
    },
    {
      "ref": "pkg:file/libcrypto.so.1.1",
      "dependsOn": []
    },
    {
      "ref": "registry+https://github.com/rust-lang/crates.io-index#yeslogic-unicode-blocks@0.2.0",
      "dependsOn": []
    },
    {
      "ref": "git+https://github.com/yeslogic/pathfinder.git#pathfinder_simd@0.5.5",
      "dependsOn": []
    }
  ]
}
